Darktable

IRIX/Nekoware development, porting and related topics.
Forum rules
Any posts concerning pirated software or offering to buy/sell/trade commercial software are subject to removal.
JacquesT
Posts: 503
Joined: Mon Jan 28, 2008 11:50 am
Location: Somerset, UK

Darktable

Unread postby JacquesT » Thu Dec 21, 2017 12:39 pm

http://www.darktable.org

Knowing next to nothing of compilers / dependancies etc, what is the chance of getting the source for Darktable compiled on Irix? I suspect too many GTK funky goodness??

Just a wild thought...
:Octane: - 1xR12k 400Mhz, 1GB, V8, 18Gb 10K & 36Gb 15K HDD, 6.5.30
:Octane: - 1xR12k 300Mhz, 384MB, SSE, 18Gb 10K HDD, 6.5.30
:O2: :1600SW: - 300Mhz R5200, 384MB, 36Gb 15K HDD, A/V, FPA, 4x CD-ROM, 6.5.30
"Ho Ho," Says the keeper of the beat.

User avatar
foetz
Moderator
Moderator
Posts: 6709
Joined: Mon Apr 14, 2003 4:34 am
Contact:

Re: Darktable

Unread postby foetz » Thu Dec 21, 2017 2:19 pm

they seems to require gtk3 which afaik wasn't successful on irix so far

User avatar
necron2600
Posts: 307
Joined: Tue May 26, 2015 10:38 pm
Location: Boston

Re: Darktable

Unread postby necron2600 » Thu Dec 21, 2017 7:00 pm

2.0 and newer releases need gkt3, but earlier did not.
However, all releases prior fail very quickly to build due to:

Glib version check failed. Version 2.28.8 was found, at least version 2.30 is required

I tested all darktable versions way back till 1.4. Our Nekoware glib version is still at 2.28.8. (Unless we have some new Beta versions of glib around?)
Not sure if its possible to hack the build scripts to force it to compile with our 2.28.8 version... or what consequences could come from that within darktable (if it even compiles at all).

User avatar
foetz
Moderator
Moderator
Posts: 6709
Joined: Mon Apr 14, 2003 4:34 am
Contact:

Re: Darktable

Unread postby foetz » Thu Dec 21, 2017 9:04 pm

necron2600 wrote:Not sure if its possible to hack the build scripts to force it to compile with our 2.28.8 version

of course it is. as you said, they're just scripts

what consequences could come from that within darktable (if it even compiles at all).

that's simple, if they use stuff that 2.28.8 doesn't have it won't work. the second, rather unlikely problem could be that stuff which both gtk versions in question have changed in 2.30 which might lead to funny results :P

in both cases the solution would be to check the affected functions and look for alternatives.

User avatar
vishnu
Donor
Donor
Posts: 3378
Joined: Sun Mar 18, 2007 3:25 pm
Location: Minneapolis, Minnesota USA

Re: Darktable

Unread postby vishnu » Fri Dec 22, 2017 10:54 am

If we got 2.28.8 to compile it can't be that insurmountable to get 2.30 to compile, I'll take a look at it this weekend...
Project:
Temporarily lost at sea...
Plan:
World domination! Or something...

:Tezro: :Octane2:

JacquesT
Posts: 503
Joined: Mon Jan 28, 2008 11:50 am
Location: Somerset, UK

Re: Darktable

Unread postby JacquesT » Fri Dec 22, 2017 1:21 pm

Thanks all, appreciated!
:Octane: - 1xR12k 400Mhz, 1GB, V8, 18Gb 10K & 36Gb 15K HDD, 6.5.30
:Octane: - 1xR12k 300Mhz, 384MB, SSE, 18Gb 10K HDD, 6.5.30
:O2: :1600SW: - 300Mhz R5200, 384MB, 36Gb 15K HDD, A/V, FPA, 4x CD-ROM, 6.5.30
"Ho Ho," Says the keeper of the beat.


Return to “SGI: Development”

Who is online

Users browsing this forum: No registered users and 3 guests